\include "english.ly"
\version "2.21.4"
\header {
	composer = \markup { \right-column { "Tekst door Felixiaan, Midgard en Robbe" "Muziek door Felixiaan en Midgard" } }
	title = "Welkom"
	subtitle = \markup{ \concat { "Voor de " \italic{on/off-generatie} } }
	tagline = ##f
}
%#(set-global-staff-size 15)
#(set-global-staff-size 18)
#(set-default-paper-size "a4")

meterAndTempo = {
	\time 4/4
	\tempo 4 = 130
}

stub = {
	R1*4 % intro
	R1*8 % verse 1
	R1*8 % chorus
	R1*2
	R1*8 % verse 2
	R1*8 % chorus
	R1*8 % bridge
	R1*16 % chorus ×2
	R1
	\bar "|."
}

\include "parts-keys.ly"
\include "parts-percussion.ly"
\include "parts-strings.ly"
\include "parts-vocals.ly"


anonymousStaffVocals = {
	\new Staff \with {
		instrumentName = "Zang"
		% No MIDI instrument
		\remove "Staff_performer"
		\magnifyStaff #2/3
	}
	\new Voice \vocalsIMusic \addlyrics \vocalsILyrics
}


\book {
	\paper {
		indent = 3.0\cm  % add space for instrumentName
		short-indent = 1\cm  % add less space for shortInstrumentName
		systems-per-page = #3
	}

	\score {
		\compressMMRests
		<<
			\new ChordNames { \guitarMusic }

			\new ChoirStaff <<
				\new Staff \with { instrumentName = "Zang" shortInstrumentName = "Zng." midiInstrument = "Alto Sax" }
				\new Voice \vocalsIMusic \addlyrics \vocalsILyrics

				% --------------------------------

				%\new Staff \with { instrumentName = "Felixiaan" shortInstrumentName = "Fxn." midiInstrument = "Alto Sax" }
				%\new Voice \vocalsIMusic \addlyrics \vocalsILyrics

				%\new Staff \with { instrumentName = "Midgard" shortInstrumentName = "Mid." midiInstrument = "Tenor Sax" }
				%\new Voice \vocalsIIMusic \addlyrics \vocalsIILyrics

				%\new Staff \with { instrumentName = "Noctua" shortInstrumentName = "Noc." midiInstrument = "Tenor Sax" }
				%\new Voice = "vocals3" \vocalsIIIMusic \addlyrics \vocalsIIILyrics
			>>

			\new PianoStaff \with { instrumentName = "Piano" shortInstrumentName = "Pno." midiInstrument = "Acoustic Grand" } <<
				\new Staff \pianoRHMusic
				\new Staff \pianoLHMusic
			>>

			%\new GrandStaff \with { instrumentName = "Accordeon" shortInstrumentName = "Acc." midiInstrument = "Accordion" } <<
				%\new Staff \accordionRHMusic
				%\new Staff \accordionLHMusic
			%>>

			\new StaffGroup <<
				\new Staff \with { instrumentName = "Viool" shortInstrumentName = "Vln." midiInstrument = "Violin" } \violinMusic
				\new Staff \with { instrumentName = "Cello" shortInstrumentName = "Vcl." midiInstrument = "Cello" } \celloMusic
			>>

			%\new DrumStaff \with { instrumentName = "Percussie" shortInstrumentName = "Perc." }
			%\percussionMusic
		>>
		\layout {
			\context { \GrandStaff \accepts "Lyrics" }
		}
		\midi {}
	}
}

\book {
	\bookOutputSuffix "viool"
	\header { instrument = "Viool" }
	\paper { ragged-bottom = ##f ragged-last-bottom = ##f }
	\score {
		\compressMMRests
		<<
			\anonymousStaffVocals
			\new Staff \with { instrumentName = "Viool" midiInstrument = "Violin" } \violinMusic
		>>
		\layout {}
		\midi {}
	}
}

\book {
	\bookOutputSuffix "cello"
	\header { instrument = "Cello" }
	%\paper { ragged-bottom = ##f ragged-last-bottom = ##f }
	\score {
		\compressMMRests
		<<
			\anonymousStaffVocals
			\new Staff \with { instrumentName = "Cello" midiInstrument = "Cello" } \celloMusic
		>>
		\layout {}
		\midi {}
	}
}

\book {
	\bookOutputSuffix "piano"
	\header { instrument = "Piano" }
	\paper { ragged-bottom = ##f ragged-last-bottom = ##f }
	\score {
		\compressMMRests
		<<
			\anonymousStaffVocals
			\new PianoStaff \with { instrumentName = "Piano" midiInstrument = "Acoustic Grand" } <<
				\new Staff \pianoRHMusic
				\new Staff \pianoLHMusic
			>>
		>>
		\layout {}
		\midi {}
	}
}

\book {
	\bookOutputSuffix "vocals"
	\header { instrument = "Zang" }
	\paper { ragged-bottom = ##f ragged-last-bottom = ##f }
	\score {
		\compressMMRests
		<<
			\new Staff \with { instrumentName = "Zang" midiInstrument = "Alto Sax" }
			\new Voice \vocalsIMusic \addlyrics \vocalsILyrics
		>>
		\layout {}
		\midi {}
	}
}
